#include <kdialog.h>
#include <klocale.h>

#ifndef UI_NEWCONNECTWIDGET_H
#define UI_NEWCONNECTWIDGET_H

#include <qvariant.h>


#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_ConnectionWidget
{
public:
    QGridLayout *gridLayout;
    QLabel *TextLabel5;
    QLabel *mainTextLabel;
    QLabel *pixmapLabel;
    QLabel *remoteHost;
    QCheckBox *cbAllowRemoteControl;
    QLabel *TextLabel1;
    QSpacerItem *spacerItem;
    QSpacerItem *spacerItem1;

    void setupUi(QWidget *ConnectionWidget)
    {
    ConnectionWidget->setObjectName(QString::fromUtf8("ConnectionWidget"));
    gridLayout = new QGridLayout(ConnectionWidget);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    TextLabel5 = new QLabel(ConnectionWidget);
    TextLabel5->setObjectName(QString::fromUtf8("TextLabel5"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(TextLabel5->sizePolicy().hasHeightForWidth());
    TextLabel5->setSizePolicy(sizePolicy);
    QFont font;
    font.setPointSize(13);
    font.setBold(true);
    TextLabel5->setFont(font);
    TextLabel5->setIndent(0);
    TextLabel5->setWordWrap(false);

    gridLayout->addWidget(TextLabel5, 0, 1, 1, 2);

    mainTextLabel = new QLabel(ConnectionWidget);
    mainTextLabel->setObjectName(QString::fromUtf8("mainTextLabel"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(0));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(mainTextLabel->sizePolicy().hasHeightForWidth());
    mainTextLabel->setSizePolicy(sizePolicy1);
    mainTextLabel->setLineWidth(-1);
    mainTextLabel->setMargin(0);
    mainTextLabel->setMidLineWidth(5);
    mainTextLabel->setTextFormat(Qt::AutoText);
    mainTextLabel->setAlignment(Qt::AlignVCenter|Qt::AlignLeft);
    mainTextLabel->setWordWrap(true);
    mainTextLabel->setIndent(0);

    gridLayout->addWidget(mainTextLabel, 1, 1, 1, 2);

    pixmapLabel = new QLabel(ConnectionWidget);
    pixmapLabel->setObjectName(QString::fromUtf8("pixmapLabel"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(pixmapLabel->sizePolicy().hasHeightForWidth());
    pixmapLabel->setSizePolicy(sizePolicy2);
    pixmapLabel->setMinimumSize(QSize(108, 318));
    pixmapLabel->setMaximumSize(QSize(108, 318));
    pixmapLabel->setFrameShape(QFrame::WinPanel);
    pixmapLabel->setFrameShadow(QFrame::Sunken);
    pixmapLabel->setLineWidth(0);
    pixmapLabel->setMargin(0);
    pixmapLabel->setScaledContents(true);
    pixmapLabel->setIndent(0);
    pixmapLabel->setWordWrap(false);

    gridLayout->addWidget(pixmapLabel, 0, 0, 6, 1);

    remoteHost = new QLabel(ConnectionWidget);
    remoteHost->setObjectName(QString::fromUtf8("remoteHost"));
    QFont font1;
    font1.setBold(true);
    remoteHost->setFont(font1);
    remoteHost->setWordWrap(false);

    gridLayout->addWidget(remoteHost, 3, 2, 1, 1);

    cbAllowRemoteControl = new QCheckBox(ConnectionWidget);
    cbAllowRemoteControl->setObjectName(QString::fromUtf8("cbAllowRemoteControl"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(cbAllowRemoteControl->sizePolicy().hasHeightForWidth());
    cbAllowRemoteControl->setSizePolicy(sizePolicy3);

    gridLayout->addWidget(cbAllowRemoteControl, 5, 1, 1, 2);

    TextLabel1 = new QLabel(ConnectionWidget);
    TextLabel1->setObjectName(QString::fromUtf8("TextLabel1"));
    QFont font2;
    font2.setBold(true);
    TextLabel1->setFont(font2);
    TextLabel1->setWordWrap(false);

    gridLayout->addWidget(TextLabel1, 3, 1, 1, 1);

    spacerItem = new QSpacerItem(20, 84, QSizePolicy::Minimum, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 4, 1, 1, 1);

    spacerItem1 = new QSpacerItem(20, 80, QSizePolicy::Minimum, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem1, 2, 1, 1, 1);


    retranslateUi(ConnectionWidget);

    QSize size(521, 328);
    size = size.expandedTo(ConnectionWidget->minimumSizeHint());
    ConnectionWidget->resize(size);


    QMetaObject::connectSlotsByName(ConnectionWidget);
    } // setupUi

    void retranslateUi(QWidget *ConnectionWidget)
    {
    TextLabel5->setText(tr2i18n("Attention", 0));
    mainTextLabel->setText(tr2i18n("Somebody is requesting a connection to your computer. Granting this will allow the remote user to watch your desktop. ", 0));
    remoteHost->setText(tr2i18n("123.234.123.234", 0));
    cbAllowRemoteControl->setText(tr2i18n("Allow remote user to &control keyboard and mouse", 0));
    cbAllowRemoteControl->setProperty("whatsThis", QVariant(tr2i18n("If you turn this option on, the remote user can enter keystrokes and use your mouse pointer. This gives them full control over your computer, so be careful. When the option is disabled the remote user can only watch your screen.", 0)));
    TextLabel1->setText(tr2i18n("Remote system:", 0));
    Q_UNUSED(ConnectionWidget);
    } // retranslateUi

};

namespace Ui {
    class ConnectionWidget: public Ui_ConnectionWidget {};
} // namespace Ui

class ConnectionWidget : public QWidget, public Ui::ConnectionWidget
{
    Q_OBJECT

public:
    ConnectionWidget(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~ConnectionWidget();

protected slots:
    virtual void languageChange();

};

#endif // NEWCONNECTWIDGET_H

