#include <kdialog.h>
#include <klocale.h>

#ifndef UI_INVITEWIDGET_H
#define UI_INVITEWIDGET_H

#include <qvariant.h>


#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>
#include <k3activelabel.h>
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_InviteWidget
{
public:
    QGridLayout *gridLayout;
    QLabel *TextLabel2;
    K3ActiveLabel *kActiveLabel1;
    QLabel *pixmapLabel;
    QSpacerItem *spacerItem;
    QPushButton *btnCreateInvite;
    QSpacerItem *spacerItem1;
    QSpacerItem *spacerItem2;
    QPushButton *btnManageInvite;
    QPushButton *btnEmailInvite;
    QSpacerItem *spacerItem3;

    void setupUi(QWidget *InviteWidget)
    {
    InviteWidget->setObjectName(QString::fromUtf8("InviteWidget"));
    gridLayout = new QGridLayout(InviteWidget);
    gridLayout->setSpacing(KDialog::spacingHint());
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    TextLabel2 = new QLabel(InviteWidget);
    TextLabel2->setObjectName(QString::fromUtf8("TextLabel2"));
    QFont font;
    font.setBold(true);
    TextLabel2->setFont(font);
    TextLabel2->setWordWrap(false);

    gridLayout->addWidget(TextLabel2, 0, 1, 1, 3);

    kActiveLabel1 = new K3ActiveLabel(InviteWidget);
    kActiveLabel1->setObjectName(QString::fromUtf8("kActiveLabel1"));
    kActiveLabel1->setFocusPolicy(Qt::NoFocus);

    gridLayout->addWidget(kActiveLabel1, 1, 1, 1, 3);

    pixmapLabel = new QLabel(InviteWidget);
    pixmapLabel->setObjectName(QString::fromUtf8("pixmapLabel"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(pixmapLabel->sizePolicy().hasHeightForWidth());
    pixmapLabel->setSizePolicy(sizePolicy);
    pixmapLabel->setMinimumSize(QSize(108, 318));
    pixmapLabel->setMaximumSize(QSize(108, 318));
    pixmapLabel->setFrameShape(QFrame::WinPanel);
    pixmapLabel->setFrameShadow(QFrame::Sunken);
    pixmapLabel->setScaledContents(true);
    pixmapLabel->setAlignment(Qt::AlignTop);
    pixmapLabel->setWordWrap(false);

    gridLayout->addWidget(pixmapLabel, 0, 0, 7, 1);

    spacerItem = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 4, 3, 1, 1);

    btnCreateInvite = new QPushButton(InviteWidget);
    btnCreateInvite->setObjectName(QString::fromUtf8("btnCreateInvite"));

    gridLayout->addWidget(btnCreateInvite, 3, 2, 1, 1);

    spacerItem1 = new QSpacerItem(20, 24, QSizePolicy::Minimum, QSizePolicy::Fixed);

    gridLayout->addItem(spacerItem1, 6, 2, 1, 1);

    spacerItem2 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem2, 4, 1, 1, 1);

    btnManageInvite = new QPushButton(InviteWidget);
    btnManageInvite->setObjectName(QString::fromUtf8("btnManageInvite"));

    gridLayout->addWidget(btnManageInvite, 5, 2, 1, 1);

    btnEmailInvite = new QPushButton(InviteWidget);
    btnEmailInvite->setObjectName(QString::fromUtf8("btnEmailInvite"));

    gridLayout->addWidget(btnEmailInvite, 4, 2, 1, 1);

    spacerItem3 = new QSpacerItem(20, 89, QSizePolicy::Minimum, QSizePolicy::MinimumExpanding);

    gridLayout->addItem(spacerItem3, 2, 2, 1, 1);


    retranslateUi(InviteWidget);

    QSize size(521, 328);
    size = size.expandedTo(InviteWidget->minimumSizeHint());
    InviteWidget->resize(size);


    QMetaObject::connectSlotsByName(InviteWidget);
    } // setupUi

    void retranslateUi(QWidget *InviteWidget)
    {
    InviteWidget->setWindowTitle(QString());
    TextLabel2->setText(tr2i18n("Welcome to KDE Desktop Sharing", 0));
    kActiveLabel1->setHtml(tr2i18n("KDE Desktop Sharing allows you to invite somebody at a remote location to watch and possibly control your desktop.\n"
"<a href=\"whatsthis:<p>An invitation creates a one-time password that allows the receiver to connect to your desktop. It is valid for only one successful connection and will expire after an hour if it has not been used. When somebody connects to your computer a dialog will appear and ask you for permission. The connection will not be established before you accept it. In this dialog you can also restrict the other person to view your desktop only, without the ability to move your mouse pointer or press keys.</p><p>If you want to create a permanent password for Desktop Sharing, allow 'Uninvited Connections' in the configuration.</p>\">More about invitations...</a>", 0));
    btnCreateInvite->setText(tr2i18n("Create &Personal Invitation...", 0));
    btnCreateInvite->setProperty("toolTip", QVariant(QString()));
    btnCreateInvite->setProperty("whatsThis", QVariant(tr2i18n("Create a new invitation and display the connection data. Use this option if you want to invite somebody personally, for example, to give the connection data over the phone.", 0)));
    btnManageInvite->setText(tr2i18n("&Manage Invitations (%1)...", 0));
    btnEmailInvite->setText(tr2i18n("Invite via &Email...", 0));
    btnEmailInvite->setProperty("whatsThis", QVariant(tr2i18n("This button will start your email application with a pre-configured text that explains to the recipient how to connect to your computer. ", 0)));
    Q_UNUSED(InviteWidget);
    } // retranslateUi

};

namespace Ui {
    class InviteWidget: public Ui_InviteWidget {};
} // namespace Ui

class InviteWidget : public QWidget, public Ui::InviteWidget
{
    Q_OBJECT

public:
    InviteWidget(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~InviteWidget();

signals:
    void createInviteClicked();
    void emailInviteClicked();
    void manageInviteClicked();

protected slots:
    virtual void languageChange();

};

#endif // INVITEWIDGET_H

