#include <kdialog.h>
#include <klocale.h>

#ifndef UI_MANAGEINVITATIONSDIALOG_H
#define UI_MANAGEINVITATIONSDIALOG_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include "k3listview.h"

class Ui_ManageInvitationsDialog
{
public:
    QGridLayout *gridLayout;
    QSpacerItem *spacerItem;
    QSpacerItem *spacerItem1;
    K3ListView *listView;
    QPushButton *newPersonalInvitationButton;
    QPushButton *newEmailInvitationButton;
    QPushButton *deleteAllButton;
    QPushButton *deleteOneButton;
    QPushButton *closeButton;

    void setupUi(QDialog *ManageInvitationsDialog)
    {
    ManageInvitationsDialog->setObjectName(QString::fromUtf8("ManageInvitationsDialog"));
    ManageInvitationsDialog->setWindowIcon(icon(image0_ID));
    gridLayout = new QGridLayout(ManageInvitationsDialog);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    spacerItem = new QSpacerItem(20, 0, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 7, 0, 1, 1);

    spacerItem1 = new QSpacerItem(0, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout->addItem(spacerItem1, 0, 1, 1, 1);

    listView = new K3ListView(ManageInvitationsDialog);
    listView->addColumn(tr2i18n("Created", 0));
    listView->header()->setClickEnabled(true, listView->header()->count() - 1);
    listView->header()->setResizeEnabled(true, listView->header()->count() - 1);
    listView->addColumn(tr2i18n("Expiration", 0));
    listView->header()->setClickEnabled(true, listView->header()->count() - 1);
    listView->header()->setResizeEnabled(true, listView->header()->count() - 1);
    listView->setObjectName(QString::fromUtf8("listView"));
    listView->setHScrollBarMode(K3ListView::AlwaysOff);
    listView->setAllColumnsShowFocus(true);
    listView->setFullWidth(true);

    gridLayout->addWidget(listView, 0, 0, 5, 1);

    newPersonalInvitationButton = new QPushButton(ManageInvitationsDialog);
    newPersonalInvitationButton->setObjectName(QString::fromUtf8("newPersonalInvitationButton"));

    gridLayout->addWidget(newPersonalInvitationButton, 1, 1, 1, 1);

    newEmailInvitationButton = new QPushButton(ManageInvitationsDialog);
    newEmailInvitationButton->setObjectName(QString::fromUtf8("newEmailInvitationButton"));

    gridLayout->addWidget(newEmailInvitationButton, 2, 1, 1, 1);

    deleteAllButton = new QPushButton(ManageInvitationsDialog);
    deleteAllButton->setObjectName(QString::fromUtf8("deleteAllButton"));
    deleteAllButton->setEnabled(false);

    gridLayout->addWidget(deleteAllButton, 3, 1, 1, 1);

    deleteOneButton = new QPushButton(ManageInvitationsDialog);
    deleteOneButton->setObjectName(QString::fromUtf8("deleteOneButton"));
    deleteOneButton->setEnabled(false);

    gridLayout->addWidget(deleteOneButton, 4, 1, 1, 1);

    closeButton = new QPushButton(ManageInvitationsDialog);
    closeButton->setObjectName(QString::fromUtf8("closeButton"));

    gridLayout->addWidget(closeButton, 6, 1, 2, 1);


    retranslateUi(ManageInvitationsDialog);

    QSize size(680, 350);
    size = size.expandedTo(ManageInvitationsDialog->minimumSizeHint());
    ManageInvitationsDialog->resize(size);

    QObject::connect(listView, SIGNAL(selectionChanged()), ManageInvitationsDialog, SLOT(listSelectionChanged()));
    QObject::connect(closeButton, SIGNAL(clicked()), ManageInvitationsDialog, SLOT(accept()));

    QMetaObject::connectSlotsByName(ManageInvitationsDialog);
    } // setupUi

    void retranslateUi(QDialog *ManageInvitationsDialog)
    {
    ManageInvitationsDialog->setWindowTitle(tr2i18n("Manage Invitations - Desktop Sharing", 0));
    listView->header()->setLabel(0, tr2i18n("Created", 0));
    listView->header()->setLabel(1, tr2i18n("Expiration", 0));
    listView->setProperty("toolTip", QVariant(QString()));
    listView->setProperty("whatsThis", QVariant(tr2i18n("Displays the open invitations. Use the buttons on the right to delete them or create a new invitation.", 0)));
    newPersonalInvitationButton->setText(tr2i18n("New &Personal Invitation...", 0));
    newPersonalInvitationButton->setProperty("toolTip", QVariant(tr2i18n("Create a new personal invitation...", 0)));
    newPersonalInvitationButton->setProperty("whatsThis", QVariant(tr2i18n("Click this button to create a new personal invitation.", 0)));
    newEmailInvitationButton->setText(tr2i18n("&New Email Invitation...", 0));
    newEmailInvitationButton->setProperty("toolTip", QVariant(tr2i18n("Send a new invitation via email...", 0)));
    newEmailInvitationButton->setProperty("whatsThis", QVariant(tr2i18n("Click this button to send a new invitation via email.", 0)));
    deleteAllButton->setText(tr2i18n("Delete All", 0));
    deleteAllButton->setProperty("toolTip", QVariant(tr2i18n("Delete all invitations", 0)));
    deleteAllButton->setProperty("whatsThis", QVariant(tr2i18n("Deletes all open invitations.", 0)));
    deleteOneButton->setText(tr2i18n("&Delete", 0));
    deleteOneButton->setProperty("toolTip", QVariant(tr2i18n("Delete the selected invitation", 0)));
    deleteOneButton->setProperty("whatsThis", QVariant(tr2i18n("Delete the selected invitation. The invited person will not be able to connect using this invitation anymore.", 0)));
    closeButton->setText(tr2i18n("&Close", 0));
    closeButton->setProperty("toolTip", QVariant(tr2i18n("Closes this window.", 0)));
    closeButton->setProperty("whatsThis", QVariant(tr2i18n("Closes this window.", 0)));
    Q_UNUSED(ManageInvitationsDialog);
    } // retranslateUi


protected:
    enum IconID
    {
        image0_ID,
        unknown_ID
    };
    static QPixmap icon(IconID id)
    {
    static const char* const img0_manageinvitations[] = { 
"48 48 132 2",
"Qt c None",
"#l c #00007b",
"#e c #000083",
".7 c #00008b",
".6 c #000094",
"#d c #00009c",
"#k c #0000a4",
".Y c #0000b4",
".X c #0000bd",
".S c #0000c5",
".W c #0000cd",
".R c #0000d5",
"#c c #0000de",
"#h c #0000e6",
".Z c #0000ee",
".V c #0000f6",
"#m c #000473",
"#z c #0004cd",
".Q c #0004d5",
"#E c #0010cd",
"#A c #0010f6",
"#s c #0020ee",
"#F c #0059f6",
"#q c #080873",
".N c #0808ac",
".M c #0808c5",
"#f c #080c6a",
"#L c #080c9c",
".L c #1010c5",
".P c #1014a4",
".8 c #1014e6",
"#B c #1055ff",
"#g c #18185a",
"#Q c #181873",
"#K c #18187b",
"#J c #181894",
"#n c #181c52",
"#o c #20204a",
"#r c #292839",
"#U c #292841",
".H c #29284a",
"#i c #2928ff",
"#p c #292c31",
".G c #292c52",
"#M c #2934d5",
"#t c #2961ff",
".# c #313031",
".K c #313431",
"#V c #31384a",
".4 c #393839",
".J c #393c39",
".a c #414041",
"#b c #4140ee",
".D c #414441",
"#W c #414852",
".E c #4a484a",
".F c #4a4852",
"#y c #4a48ff",
"#H c #4a4c4a",
".9 c #4a4cff",
"#R c #4a65c5",
"#C c #4aa5ff",
".g c #525052",
".C c #525552",
"#N c #5275de",
"#O c #5289d5",
".v c #5a595a",
".O c #5a5994",
"#I c #5a599c",
".B c #5a5d5a",
".u c #626162",
".x c #626562",
".r c #6a696a",
".0 c #6a69ff",
".z c #6a6d6a",
"#G c #6aaaff",
".I c #737173",
".y c #737573",
"#P c #7395b4",
".t c #7b797b",
".b c #7b7d7b",
".n c #838183",
".U c #8381ff",
".i c #838583",
"#1 c #8b797b",
".o c #8b898b",
".c c #8b8d8b",
"#T c #8b959c",
"#8 c #947573",
".f c #949194",
".k c #949594",
"#a c #9495ff",
"#S c #94b6cd",
"ab c #9c9594",
".j c #9c999c",
".e c #9c9d9c",
"#4 c #a4898b",
"#X c #a49194",
"a# c #a49d9c",
".d c #a4a1a4",
".w c #a4a5a4",
"#Y c #ac5d5a",
"aa c #ac8583",
"#9 c #ac898b",
"#2 c #ac9194",
".s c #acaaac",
".m c #acaeac",
"#5 c #b43031",
".A c #b4b2b4",
".l c #b4b6b4",
".p c #bdbabd",
".q c #bdbebd",
"#x c #bdbee6",
"#Z c #c55052",
"#0 c #c5595a",
".h c #c5c2c5",
"#w c #c5c6c5",
"#3 c #cd5d5a",
"#v c #cdcacd",
"#6 c #d51818",
"#j c #d5d6ff",
"#u c #d5deff",
"#7 c #de2c29",
".5 c #dedede",
".1 c #dedeff",
"#D c #deeeff",
"a. c #e63031",
".T c #e6e2e6",
"## c #eeeaff",
"#. c #eeeeee",
".2 c #fffaff",
".3 c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#",
".#.#.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.#",
".#.a.b.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.b.a",
".#.a.c.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.d.c.a",
".#.a.c.d.e.f.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.f.e.d.c.a",
".#.a.c.d.f.g.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.g.f.d.c.a",
".#.a.c.d.c.a.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQtQtQtQtQtQtQtQtQt.h.h.h.h.h.h.h.h.h.h.h.hQtQtQtQtQtQtQtQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQtQtQtQtQtQtQtQtQt.h.h.h.h.h.h.h.h.h.h.h.hQtQtQtQtQtQtQtQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQtQtQtQt.h.h.d.i.j.k.f.l.e.f.l.m.d.d.c.c.c.n.o.p.h.h.hQtQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQt.h.h.h.q.p.e.i.j.b.r.m.o.r.s.j.t.o.u.v.t.i.o.s.p.h.w.nQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQt.h.h.h.p.f.i.i.j.b.x.j.b.u.n.y.r.f.t.u.f.c.b.z.k.p.c.nQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQt.h.p.w.A.l.t.b.c.b.y.z.t.y.z.z.z.z.t.y.z.t.i.i.u.i.s.o.k.h.h.hQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQt.q.A.o.j.d.z.t.o.u.r.y.B.r.y.B.r.y.B.r.y.u.t.o.r.t.f.b.j.q.p.pQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQt.w.d.i.y.z.y.z.u.v.v.B.v.v.B.v.v.B.v.v.u.y.z.r.y.z.u.u.n.d.f.oQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#.h.h.m.k.y.u.v.r.u.C.D.D.D.D.D.D.D.D.D.D.D.E.x.u.v.r.u.v.r.y.t.z.o.h.h.#.a.c.d.c.a",
".#.a.c.d.c.a.#.q.q.s.o.u.v.C.g.g.F.G.H.H.H.H.H.H.H.H.H.H.G.F.g.g.g.g.v.I.r.v.B.c.q.q.#.a.c.d.c.a",
".#.a.c.d.c.a.#.w.w.i.u.v.v.g.J.K.G.L.M.N.N.N.N.N.N.N.N.M.L.G.K.K.K.K.J.v.v.B.y.f.w.w.#.a.c.d.c.a",
".#.a.c.d.c.a.#.f.f.y.C.D.D.g.o.O.P.Q.R.S.S.S.S.S.S.S.S.R.Q.P.O.k.k.k.o.g.D.E.x.y.b.b.#.a.c.d.c.a",
".#.a.c.d.c.a.#.I.I.u.g.g.g.z.T.U.V.W.S.X.Y.Y.Y.Y.Y.Y.X.S.W.Z.0.1.2.3.T.z.g.g.g.v.B.B.#.a.c.d.c.a",
".#.a.c.d.c.a.#.J.J.4.g.h.5.T.2.U.V.W.S.Y.6.7.7.7.7.6.Y.S.S.W.8.9.1.3.2.T.5.h.g.v.t.t.#.a.c.d.c.a",
".#.a.c.d.c.a.#.#.#.x.s#..3###a#b#c.S.Y#d#e#f#g#g#f#e#d.Y.S.S#h#i#j.3.3.3.3#..s.t.v.v.#.a.c.d.c.a",
".#.a.c.d.c.a.#.#.#.j.3.3.3#j#i#h.S.S#k#l#m#n.#.##n#m#l#k.S.S#h#i#j.3.3.3.3.3.3.j.#.#.#.a.c.d.c.a",
".#.a.c.d.c.a.#.#.#.j.3.3.3#j#i#h.S.S#k#m#o#p.#.##p#o#m#k.S.S#h#i#j.3.3.3.3.3.3.j.#.#.#.a.c.d.c.a",
".#.a.c.d.c.a.#.#.#.j.3.3.3#j#i#h.S.S#k#q#r.#.#.#.##r#q#k.S.S#h#i#j.3.3.3.3.3.3.j.#.#.#.a.c.d.c.a",
".#.a.c.d.c.a.#.#.#.j.3.3.3#j#i#h.S.S#k#m#o#p.#.##p#o#m#k.S.S#h#i#j.3.3.3.3.2.T.i.#.#.#.a.c.d.c.a",
".#.a.c.d.c.a.#.#.#.j.3.3.3#j#i#h.S.S#k#l#m#n.#.##n#m#l#k.S.S#h#i#j.3.3.3.3.T.z.a.#.#.#.a.c.d.c.a",
".#.a.c.d.c.a.#.#.#.y.s#..3#j#i#h.S.S.Y#d#e#f#g#g#f#e#d.Y.S#c#s#t#u.3.3.3#v.i.a.#.#.#.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQt.#.g#w.5#x#y.8.W.S.S.Y.6.7.7.7.7.6.Y.S#z#A#B#C#D.3.2.T.c.#.#.#QtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQt.#.a.g.g.r#x.0.Z.W.S.X.Y.Y.Y.Y.Y.Y.X.S#E#F#G#D.2.3.T.z#H.#.#.#QtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQt.#.#.##H.c#I#J#K#L.S.S.S.S.S.S.S.S#M#N#O#P.j.j.j.c#H.#QtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQtQtQtQt.#.#.#.#.##Q.N.N.N.N.N.N.N.N#R#S#T.u.#.#.#.#.#QtQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQtQtQtQt.#.#.#.#.##U.H.H.H.H.H.H.H.H#V#W.D.a.#.#.#.#.#QtQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQtQtQtQtQtQtQtQtQt.#.#.#.#.#.#.#.#.#.#.#.#.#QtQtQtQtQtQtQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt.#.a.c.d.c.a",
".#.a.c.d.c.a.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.a.c.d.c.a",
".#.a.c.d.f.g.a.a.J.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.a.g.f.d.c.a",
".#.a.c.d.e.f.c.o.y.n.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.c.f.e.d.c.a",
".#.a.c.d#X#Y#Z#0#1.f#2#3#Z#Y#X.d.d.d.j.f.f.f.f.e.d.e.f.f.f.e.d.d.d.j.f.f.f.f.f.f.f.e.d.d.d.d.c.a",
".#.a.c.d#4#5#6#7#8.f#9a.#6#5#4.d.d.d.f.i.i.i.o.e.d.e.o.i.o.e.d.d.d.f.i.i.i.i.i.i.o.e.d.d.d.d.c.a",
".#.a.c.da##4aa#9ab.ea##9aa#4a#.d.d.d.e.j.j.j.e.e.d.e.e.j.e.e.d.d.d.e.j.j.j.j.j.j.e.e.d.d.d.d.c.a",
".#.4.B.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.r.B.4",
".#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#",
".#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#.#"};


    switch (id) {
        case image0_ID: return QPixmap((const char**)img0_manageinvitations);
        default: return QPixmap();
    } // switch
    } // icon

};

namespace Ui {
    class ManageInvitationsDialog: public Ui_ManageInvitationsDialog {};
} // namespace Ui

class ManageInvitationsDialog : public QDialog, public Ui::ManageInvitationsDialog
{
    Q_OBJECT

public:
    ManageInvitationsDialog(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~ManageInvitationsDialog();

public slots:
    virtual void listSizeChanged( int i );
    virtual void listSelectionChanged();

protected slots:
    virtual void languageChange();

};

#endif // MANAGEINVITATIONSDIALOG_H

